/*  ==========================================================================
    Base
    ========================================================================== */

/*
    Elements
    ========================================================================== */

html {
   	font-smoothing: antialiased;
   	-webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body {
	font-family: $f-sans;
	font-weight: 400;
	font-style: normal;
    color: map-get( $c-colours, primary );
    // Sets base to 16px
    @include vs-spacing(font-size, 18px, 22px);
}


/*  ==========================================================================
    Text
    ========================================================================== */

.text {
    line-height: 1.36;
    @include vs-spacing(font-size, 18px, 22px);

    p {
        margin-bottom: 30px;
        font-family: $f-sans-medium;
    }

    a {
        text-decoration: underline;
        color: map-get( $c-colours, primary );
    }
}

.text--regular {
    font-family: $f-sans;
}

.text--medium {
    font-family: $f-sans-medium;
}

.text--demi {
    font-family: $f-sans-demi;
}

.text--bold {
    font-family: $f-sans-bold;
}

.text--45 {
    @include vs-spacing(font-size, 25px, 45px);
}

.text--40 {
    line-height: 1;
    @include vs-spacing(font-size, 22px, 40px);
}

.text--34 {
    @include vs-spacing(font-size, 20px, 34px);
}

.text--32 {
    @include vs-spacing(font-size, 20px, 32px);
}

.text--26 {
    @include vs-spacing(font-size, 18px, 26px);
}

.text--22 {
    @include vs-spacing(font-size, 18px, 22px);
}

.text--18 {
    @include vs-spacing(font-size, 16px, 18px);
}

.text--16 {
    @include vs-spacing(font-size, 14px, 16px);
}

.text--grey {
    color: map-get( $c-colours, light-grey );
}

/*
    Elements
    ========================================================================== */

// REF - http://stackoverflow.com/questions/19099401/why-use-h1-instead-of-actual-h1

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5 {
	font-style: normal;
	font-weight: normal;
	margin: 0 0 20px;
}

h1, .h1 { }

h2, .h2 { }

h3, .h3 { }

h4, .h4 { }

h5, .h5 { }

h6, .h6 { }

p {
    margin: 0;
}

strong {
    font-weight: 500;
}

a {
    text-decoration: none;
    color: map-get( $c-colours, primary );
}

hr {
    border: none;
    margin: 0;
}

iframe {
    max-width: 100%;
}